Secrets
Gofer allows user to enter secrets on both a global and pipeline scope. This is useful for workloads that need access to secret values and want a quick, convenient way to access those secrets. Global secrets are managed by admins and can grant pipelines access to secrets shared amongst many namespaces. Pipeline secrets on the other hand are only accessible from within that specific pipeline
List all pipeline secrets
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/secretsPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses
| Status | Body | Description |
|---|---|---|
200 | ListPipelineSecretsResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Insert a new secret into the pipeline secret store
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/secretsPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Request body (required): PutPipelineSecretRequest
Responses
| Status | Body | Description |
|---|---|---|
201 | PutPipelineSecretResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Get pipeline secret by key
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/secrets/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target secret. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
include_secret | boolean | yes | Includes the actual plaintext secret in the response. |
Responses
| Status | Body | Description |
|---|---|---|
200 | GetPipelineSecretResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Delete pipeline secret by key
/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/secrets/{key}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target secret. |
namespace_id | string | yes | The unique identifier for the target namespace. |
pipeline_id | string | yes | The unique identifier for the target pipeline. |
Responses
List all global secrets
/api/secrets/globalAdmin tokens required.
Responses
| Status | Body | Description |
|---|---|---|
200 | ListGlobalSecretsResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Insert a new secret into the global secret store
/api/secrets/globalThis route is only accessible for admin tokens.
Request body (required): PutGlobalSecretRequest
Responses
| Status | Body | Description |
|---|---|---|
201 | PutGlobalSecretResponse | successful creation |
4XX | Error | Error |
5XX | Error | Error |
Get global secret by key
/api/secrets/global/{key}Admin token required.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target secret. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
include_secret | boolean | yes | Includes the actual plaintext secret in the response. |
Responses
| Status | Body | Description |
|---|---|---|
200 | GetGlobalSecretResponse | successful operation |
4XX | Error | Error |
5XX | Error | Error |
Delete global secret by key
/api/secrets/global/{key}This route is only accessible for admin tokens.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
key | string | yes | The unique identifier for the target secret. |
Responses